﻿/** 
 * ---------------------------------------------------------------------------
 * LapisBlacksmithHelper
 * ---------------------------------------------------------------------------
 * Rev.1  ----/--/--
 *   変更履歴
 */
using System;
using System.Collections;
using Server.Gumps;
using Server.Multis;
using Server.Network;
using Server.Engines.Plants;
using System.Collections.Generic;
using Server.ContextMenus;
using Server.Prompts;

namespace Server.Items
{
    [FlipableAttribute(0x1439, 0x1438)]
    class LapisBlacksmithHelper : BaseEventHelper
    {
        [Constructable]
        public LapisBlacksmithHelper()
        : base(0x1439)
        {
            this.Weight = 1.0;
            this.Layer = Layer.TwoHanded;
            this.Hue = 0x480;
            this.Name = "アメリアの魔力ハンマー";

            this.SkillBonuses.SetValues(0, SkillName.Blacksmith, 100.0);
            this.SkillBonuses.SetValues(1, SkillName.ArmsLore, 100.0);
        }
        public LapisBlacksmithHelper(Serial serial)
            : base(serial)
        {
        }
        public override void NameChange()
        {
            this.Name = "力尽きたアメリアの魔力ハンマー";
            this.SkillBonuses.SetValues(0, SkillName.Blacksmith, 0.0);
            this.SkillBonuses.SetValues(1, SkillName.ArmsLore,   0.0);
            InvalidateProperties();
        }

        public override void Serialize(GenericWriter writer)
        {
            base.Serialize(writer);

            writer.Write((int)0); // version
        }

        public override void Deserialize(GenericReader reader)
        {
            base.Deserialize(reader);

            int version = reader.ReadInt();
        }
    }
}
