﻿/** 
 * ---------------------------------------------------------------------------
 * LapisTinkerHelper
 * ---------------------------------------------------------------------------
 * Rev.1  ----/--/--
 *   変更履歴
 */
using System;
using System.Collections;
using Server.Gumps;
using Server.Multis;
using Server.Network;
using Server.Engines.Plants;
using System.Collections.Generic;
using Server.ContextMenus;
using Server.Prompts;

namespace Server.Items
{
    [FlipableAttribute(0xE86, 0xE85)]
    class LapisTinkerHelper : BaseEventHelper
    {
        [Constructable]
        public LapisTinkerHelper()
        : base(0xE86)
        {
            this.Weight = 1.0;
            this.Layer = Layer.TwoHanded;
            this.Hue = 0x480;
            this.Name = "アメリアの魔力ツルハシ";

            this.SkillBonuses.SetValues(0, SkillName.Tinkering, 100.0);
        }
        public LapisTinkerHelper(Serial serial)
            : base(serial)
        {
        }
        public override void NameChange()
        {
            this.Name = "力尽きたアメリアの魔力ツルハシ";
            this.SkillBonuses.SetValues(0, SkillName.Tinkering, 0.0);
            InvalidateProperties();
        }

        public override void Serialize(GenericWriter writer)
        {
            base.Serialize(writer);

            writer.Write((int)0); // version
        }

        public override void Deserialize(GenericReader reader)
        {
            base.Deserialize(reader);

            int version = reader.ReadInt();
        }
    }
}
